# Enable Python dependency generation
%{?python_enable_dependency_generator}

Name:           gitless
Version:        0.8.6
Release:        0%{?dist}.1
Summary:        Simple version control system built on top of Git

License:        MIT
URL:            http://gitless.com/
Source0:        https://github.com/sdg-mit/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pygit2) >= 0.24.0
BuildRequires:  python3dist(clint) >= 0.3.6
BuildRequires:  python3dist(sh) >= 1.11

BuildArch:      noarch

%description
Gitless is an experimental version control system built on top of Git.
Many people complain that Git is hard to use. We think the problem lies
deeper than the user interface, in the concepts underlying Git. Gitless
is an experiment to see what happens if you put a simple veneer on an app
that changes the underlying concepts. Because Gitless is implemented on top
of Git (could be considered what Git pros call a "porcelain" of Git),
you can always fall back on Git. And of course your coworkers you share
a repository with need never know that you're not a Git aficionado.



%prep
%autosetup


%build
%py3_build

%install
%py3_install

%files
%license LICENSE.md
%doc README.md
%{_bindir}/gl
%{python3_sitelib}/gitless*


%changelog
* Sun Jun 17 2018 Neal Gompa <ngompa13@gmail.com> - 0.8.6-0.1
- Initial packaging
